
QGIS Application - Bug report #10748

when topology checker's show error is activated, a large red rectangle is drawn covering the extend 

of a layer

2014-06-28 11:04 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Normal

Assignee:

Category: C++ plugins/Topology checker

Affected QGIS version:2.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 19132

Description

Activating [x] show error when analysis a layer via topology checker draws a big opaque rectangle covering the whole extend of the

analyzed layer. That's an important user experience regression as the default behavior is to show errors.

I couldn't find a place to file an issue for the topology checker (no information given on the plugin), and since it's referred to in the QGIS

documentation, I'm using the QGIS issue reporter. Correct me if I'm wrong :)

History

#1 - 2014-06-29 10:08 AM - Giovanni Manghi

- Category set to C++ plugins/Topology checker

- Status changed from Open to Feedback

I cannot replicate.

What rule/s dod you used? can you attach sample data? thanks!

#2 - 2014-06-29 06:45 PM - Mathieu Pellerin - nIRV

- File provinces.zip added

Steps to reproduce:

    1. Create a new project

    2. Open the attached provinces.shp dataset

    3. Open the topology checker panel, and configure it with the following rule:

        -  provinces -> must have no gaps

    4. When the rule is added, proceed with validation by clicking on the 'Validate All' button

    5. When the validation is done, 160-something errors are detected, and an opaque red rectangle is drawn covering the full extend of the layer (whereas

the errors are not)

Let me know if that's not sufficient.

#3 - 2014-06-30 03:21 PM - Giovanni Manghi

- Status changed from Feedback to Open

Let me know if that's not sufficient.
yes I can replicate the "red rectangle" with your data, but not with other data also with a lot of errors (gaps and others). Seems this behaviour is triggered by

something specific in your dataset, but I don't have much time to investigate right now.

#4 - 2017-05-01 01:08 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#5 - 2019-03-09 03:12 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

Files

provinces.zip 1.13 MB 2014-06-29 Mathieu Pellerin - nIRV
